<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_f"></a>- f -</h3><ul>
<li>failure()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#a15898c8b2f40c6cc8eaac5520c01f245">alexaClientSDK::avsCommon::utils::error::SuccessResult&lt; TValue &gt;</a>
</li>
<li>favorites
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html#a898048874403036a02dd50daea447723">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>
</li>
<li>FetchOptions
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>
</li>
<li>FFMpegInputBuffer()
: <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_f_f_mpeg_input_buffer.html#a8f5c3683871ac4c6a870f43b4701a437">alexaClientSDK::playlistParser::FFMpegInputBuffer</a>
</li>
<li>finalize()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a0378880d1fca22e9f26ad5d51253ae79">alexaClientSDK::storage::sqliteStorage::SQLiteStatement</a>
</li>
<li>FinallyGuard()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_finally_guard.html#a27f632ca997bc419af53ab4311c3b4ec">alexaClientSDK::avsCommon::utils::error::FinallyGuard</a>
</li>
<li>finishObject()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1_json_generator.html#a02476879a230ddb4d73177214d02becc">alexaClientSDK::avsCommon::utils::json::JsonGenerator</a>
</li>
<li>firmwareVersionControl()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a2fcc535eaac40f4545c619f674a2b1e1">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>FocusManager()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html#ad5a9b9e4482fab1c48a7b156d8a3be0d">alexaClientSDK::afml::FocusManager</a>
</li>
<li>focusState
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a0f4d4a388750d585d2f458db400d2e9e">alexaClientSDK::afml::Channel::State</a>
, <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html#abffa191a234c170d05e6d0cab5dbedef">alexaClientSDK::afml::test::MockActivityTrackerInterface::ExpectedChannelStateResult</a>
</li>
<li>forEach()
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_map_reader.html#aefc5ea7930890fcba68b72fa645c35a6">alexaClientSDK::bluetoothImplementations::blueZ::GVariantMapReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a0cce103df6693b6565dd581f34e5ef75">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader</a>
</li>
<li>FOREVER
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html#a27da967585be612e5eed10afa81eb20b">alexaClientSDK::avsCommon::utils::timing::Timer</a>
</li>
<li>format()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_string_formatter.html#a43f5320bc9aafdf47503d77c4867e597">alexaClientSDK::avsCommon::utils::logger::LogStringFormatter</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a52ad41317d02bb2ecbcf9f643f129298">alexaClientSDK::capabilityAgents::aip::AudioProvider</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream.html#a2fba7215b1444beb4fbd60b39510d2d2">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream</a>
</li>
<li>FormattedAudioStreamAdapter()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_formatted_audio_stream_adapter.html#a515432281205d87328409b394525d87e">alexaClientSDK::avsCommon::utils::bluetooth::FormattedAudioStreamAdapter</a>
</li>
<li>FunctionCalled
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#a0868cd55a95c08ba33b9a6e4440d8ee9">alexaClientSDK::avsCommon::test::MockCapabilityAgent</a>
</li>
<li>FunctionType
: <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callback_adapter.html#af4ce3fd47128fa0ed7e67645c6c780ad">alexaClientSDK::settings::SettingCallbackAdapter&lt; ManagerT, id &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_callbacks.html#a3f7550aa7dc547455f83ffd4bf58a536">alexaClientSDK::settings::SettingCallbacks&lt; ManagerT &gt;</a>
</li>
<li>future
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_future_promise_pair.html#a3e4c1f4c88480ba3db701bf4b2e46c9b">alexaClientSDK::capabilityAgents::notifications::test::FuturePromisePair</a>
</li>
<li>FuturePromisePair()
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_future_promise_pair.html#a6ff2ad24393278ea6b48c3cdde0ee3db">alexaClientSDK::capabilityAgents::notifications::test::FuturePromisePair</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
